[{block name="d3transferform_header"}]
    [{include file="headitem.tpl" title="D3_MULTIVAR_CFG_TITLE"|oxmultilangassign}]
[{/block}]

[{if $readonly}]
    [{assign var="readonly" value="readonly disabled"}]
[{else}]
    [{assign var="readonly" value=""}]
[{/if}]

[{d3modcfgcheck modid="d3transferform"}][{/d3modcfgcheck}]
[{if $mod_d3transferform}]
    <form name="transfer" id="transfer" action="[{$oViewConf->getSelfLink()}]" method="post">
        [{$oViewConf->getHiddenSid()}]
        <input type="hidden" name="oxid" value="[{$oxid}]">
        <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
        <input type="hidden" name="actshop" value="[{$shop->id}]">
        <input type="hidden" name="editlanguage" value="[{$editlanguage}]">
    </form>
    <form name="myedit" id="myedit" action="[{$oViewConf->getSelfLink()}]" method="post">
        <div>
            [{$oViewConf->getHiddenSid()}]
            <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
            <input type="hidden" name="fnc" value="save">
            <input type="hidden" name="oxid" value="[{$oxid}]">
            <input type="hidden" name="editval[d3_cfg_mod__oxid]" value="[{$oxid}]">

            [{include file="d3_cfg_mod_active.tpl"}]
        </div>
        [{if $oView->getValueStatus() == 'error'}]
            <hr>
            <strong>[{oxmultilang ident="D3_CFG_MOD_GENERAL_NOCONFIG_DESC"}]</strong>
            <br><br>
            <span class="d3modcfg_btn fixed icon status_attention">
                <input type="submit" value="[{oxmultilang ident="D3_CFG_MOD_GENERAL_NOCONFIG_BTN"}]">
                <span></span>
            </span>
        [{else}]
            <fieldset style="border: 1px solid #646464;">
                <legend>
                    <strong>[{oxmultilang ident="D3_TRANSFERFORM_MAIN"}] [{oxinputhelp ident="D3_TRANSFERFORM_MAIN_GENEREL_HELP"}]</strong>
                </legend>
                <table>
                    [{block name="d3transferform_views_admin_tpl_mainSettings"}]
                        <tr>
                            <td>
                                <input id="companyName" style="padding-left: 5px" class="edittext ext_edittext"
                                       type="text" size="50" name="value[d3_cfg_mod__sTransferform_CompanyName]"
                                       value='[{if $value->d3_cfg_mod__sTransferform_CompanyName}][{$value->d3_cfg_mod__sTransferform_CompanyName}][{else}][{/if}]'>
                            </td>
                            <td>
                                [{oxinputhelp ident="D3_TRANSFERFORM_ALTEWRNATIVE_COMPANY_NAME_DESC"}]
                                <label for="companyName">
                                    [{oxmultilang ident="D3_TRANSFERFORM_ALTEWRNATIVE_COMPANY_NAME"}]
                                </label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input id="referenceLine1" style="padding-left: 5px" class="edittext ext_edittext"
                                       type="text" size="50" name="value[d3_cfg_mod__sTransferform_referenceLine1]"
                                       value='[{if $value->d3_cfg_mod__sTransferform_referenceLine1}][{$value->d3_cfg_mod__sTransferform_referenceLine1}][{else}][{/if}]'>
                            </td>
                            <td>
                                [{oxinputhelp ident="D3_TRANSFERFORM_REFERENCE_LINE1_DESC"}]
                                <label for="referenceLine1">
                                    [{oxmultilang ident="D3_TRANSFERFORM_REFERENCE_LINE1"}]
                                </label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input id="referenceLine2" style="padding-left: 5px" class="edittext ext_edittext"
                                       type="text" size="50" name="value[d3_cfg_mod__sTransferform_referenceLine2]"
                                       value='[{if $value->d3_cfg_mod__sTransferform_referenceLine2}][{$value->d3_cfg_mod__sTransferform_referenceLine2}][{else}][{/if}]'>
                            </td>
                            <td>
                                [{oxinputhelp ident="D3_TRANSFERFORM_REFERENCE_LINE2_DESC"}]
                                <label for="referenceLine2">
                                    [{oxmultilang ident="D3_TRANSFERFORM_REFERENCE_LINE2"}]
                                </label>
                            </td>
                        </tr>
                    [{/block}]
                </table>
            </fieldset>
            <table>
                <tr>
                    <td class="edittext ext_edittext"><br>
                        [{block name="d3transferform_views_admin_tpl_generalSave"}]
                        <span class="d3modcfg_btn icon status_ok">
                            <input type="submit" name="save" style="width: 150px;"
                                   value="[{oxmultilang ident="D3_CFG_MOD_GENERAL_SAVE"}]">
                            <span></span>
                        </span>
                        [{/block}]
                    </td>
                </tr>
            </table>
        [{/if}]
    </form>
[{else}]
    [{block name="d3transferform_views_admin_tpl_errormessages_inactive"}]
        <div class="extension_warning">
            [{oxmultilang ident="D3_TRANSFERFORM_INACTIVE_NOTICE"}]
        </div>
    [{/block}]
[{/if}]

[{block name="d3transferform_footer"}]
    [{include file="d3_cfg_mod_inc.tpl"}]
[{/block}]